Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.repository
Interface IZipCodeDao

All Superinterfaces:
  IDao<ZipCode,Long>

All Known Implementing Classes:
  ZipCodeDao

    public interface IZipCodeDao

extends IDao<ZipCode,Long>

Method Summary
`List<ZipCode>` | `getByCodeAndCountry(String code, String countryCode)`
`List<ZipCode>` | `getByCodeAndCountrySmart(String code, String countryCode)` same as `getByCodeAndCountry(String, String)` but do a starts with method if country is GB or CA
`List<ZipCode>` | `listByCode(String code)`

Methods inherited from interface com.gisgraphy.domain.repository.IDao
`count, deleteAll, deleteAll, exists, flushAndClear, get, getAll, getAllPaginate, getPersistenceClass, remove, save, setFlushMode`

Method Detail

### getByCodeAndCountry

    List<ZipCode> getByCodeAndCountry(String code,
                                      String countryCode)

  Parameters:
    `code` - the zipcode to search
    `countryCode` - The ISO 3166 Alpha 2 code in upper case
  Returns:
    the zipcode

### getByCodeAndCountrySmart

    List<ZipCode> getByCodeAndCountrySmart(String code,
                                           String countryCode)

  same as `getByCodeAndCountry(String, String)` but do a starts with method if country is GB or CA

  Parameters:
    `code` - the zipcode to search
    `countryCode` - The ISO 3166 Alpha 2 code in upper case
  Returns:
    the zipcode

### listByCode

    List<ZipCode> listByCode(String code)

  Parameters:
    `code` - The zipcode to search
  Returns:
    a list of all zipcode where the given code matches or an empty list if no result

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.